
Redmine - Defect #9090

Issue view does not show spent time if hours are zero

2011-08-19 06:50 - Bo Hansen

Status: New Start date: 2011-08-19

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Time tracking Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 1.2.1

Description

If I add a time entry of 0 hours and nothing else has been logged on an issue spent time is shown as "Spent time: -".

It would be more natural if it showed 0 hours and had the normal link for showing logged time on the issue.

Related issues:

Has duplicate Redmine - Feature #26357: Checking time tracking even if no hou... Closed

History

#1 - 2017-05-27 16:31 - Marius BĂLTEANU

- File do_not_allow_spent_time_with_0_hours.patch added

Currently, you can add  a spent time with 0 hours which is shown in time_entries#index, but not in the issue page (the defect reported in this ticket).

Because I don't see any real reason to allows spent time with 0 hours, I made a patch that restricts this.

#2 - 2017-05-30 11:49 - Go MAEDA

- Target version set to 3.4.0

The existing code source:tags/3.3.3/app/models/time_entry.rb#L120 obviously intends not to accept 0. Setting target version to 3.4.0.

Thank you for submitting the fix.

#3 - 2017-06-07 00:18 - Jean-Philippe Lang

- Target version deleted (3.4.0)

Go MAEDA wrote:

The existing code source:tags/3.3.3/app/models/time_entry.rb#L120 obviously intends not to accept 0. Setting target version to 3.4.0.

 No, this code intends not to accept negative values. Some people might use time entries with 0 hours for specific purpose, I'm not really in favor of

removing this possibility. We need more feedback before doing this change.

#4 - 2017-07-05 22:41 - Mischa The Evil

- Has duplicate Feature #26357: Checking time tracking even if no hour spent added

Files

do_not_allow_spent_time_with_0_hours.patch 1.95 KB 2017-05-27 Marius BĂLTEANU
